@charset "utf-8";
/* CSS Document */

.bh-modal-goals-active .modal {
	max-width: 375px;
}

.modal {
	padding: 15px;
}

#bh-goals-txt-header {
	font-size: 18px;
}

#tfs_css_content .bh-goals-welcome-text {
	padding: 15pt 0;
}

.bh-goals-create-new {
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 10pt 0;
}

#bh-goals-btn-create {
	flex: 1 1 100%;
}

#bh-modal-activity-amount-save-single {
	height: 50pt;
	width: 250pt;
	margin: 10pt;
	margin-left:auto;
	margin-right:auto;
	padding-top: 10pt;
	border-top: 1px solid #d3d3d3;
	margin-bottom: 25pt;
}

#bh-modal-header {
	height:85pt;
	background-size: contain;
	border-bottom: 3pt solid #ED6F2E;
}

#bh-modal-header-logo {
	margin-top: 10pt;
	margin-bottom: 10pt;
	background: url('/wp-content/uploads/banyan-logo-New.png') no-repeat center;
	background-size: contain;
	height:75pt;
}

.bh-goals-text {
	width: 100%;
	margin-top: 13px;
}

#bh-modal-create {
	max-width: 850px;
}

#bh-goals-create-name {
	margin: 15pt 0;
	border-width: 0;
	background: transparent;
	border-bottom-width: 2px;
	border-bottom-color: #0d3659;
	font-size: 38pt;
	color: #0d3659;	
}

#bh-goals-create-name:-moz-placeholder {
	color: rgba(13, 54, 89, 0.3);
	text-align: center;
	text-transform: none;
	font-size: 36pt;
	font-weight: 700;
}
#bh-goals-create-name::-webkit-input-placeholder {
	color: rgba(13, 54, 89, 0.3);
	text-align: center;
	text-transform: none;
	font-size: 36pt;
	font-weight: 700;
}
#bh-goals-create-name::-moz-placeholder {
	color: rgba(13, 54, 89, 0.3);
	text-align: center;
	text-transform: none;
	font-size: 36pt;
	font-weight: 700;
}
#bh-goals-create-name:-ms-input-placeholder {
	color: rgba(13, 54, 89, 0.3);
	text-align: center;
	text-transform: none;
	font-size: 36pt;
	font-weight: 700;
}

#bh-modal-create-content-top h2, #bh-modal-create-content-top h3 {
	text-transform: none;
	font-size: 38pt;
	line-height: 40pt;
	color: #0d3659;
	text-align: center;
}

#bh-modal-create-content-top h3 {
	margin-bottom: 3pt;	
}

#bh-modal-create-step2-custom-top {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-evenly;
	align-items: center;
}

#bh-modal-create-step2-custom-bottom {
	display: flex;
	flex-flow: column;
}

#bh-modal-create-step2-selected-top {
	margin-bottom: 10pt;
}

#bh-modal-create-next, #bh-modal-create-step2-custom-action, #bh-modal-create-step2-selected-action {
	flex: 1 1 100%;
	min-width: 100%;
}

/* The snackbar - position it at the bottom and in the middle of the screen */
#bh-goals-snackbar {
	visibility: hidden; /* Hidden by default. Visible on click */
	min-width: 400px; /* Set a default minimum width */
	width:400px;
	margin-left: -200px; /* Divide value of min-width by 2 */
	background-color: #333; /* Black background color */
	color: #fff; /* White text color */
	text-align: center; /* Centered text */
	border-radius: 2px; /* Rounded borders */
	padding: 16px; /* Padding */
	position: fixed; /* Sit on top of the screen */
	z-index: 999999; /* Add a z-index if needed */
	left: 50%; /* Center the snackbar */
	bottom: 30px; /* 30px from the bottom */
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#bh-goals-snackbar.show {
	visibility: visible; /* Show the snackbar */
	/* Add animation: Take 0.5 seconds to fade in and out the snackbar.
	However, delay the fade out process for 2.5 seconds */
	-webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
	animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

#bh-goals-activity-add-amount {
	display: flex;
	justify-content: center;	
	flex: 1 1 100%;
	margin: 10pt 0 10pt 0;
}

#bh-goals-delete-action-wrapper {
	display: flex;
	flex: 1 1 100%;
	justify-content: space-between;
	align-items: center;
}

#bh-goals-delete-action-wrapper .bh-modal-goals-btn {
	flex: 0 1 48.75%;
}

.bh-modal-goal-pending-delete {
	display: block;
	font-size: 14pt;
	margin: 10pt 0;
	background-color: rgba(0,0,0,.05);
	padding: 10pt;
	line-height: 18pt;
	border-radius: 3px;
}

.bh-goals-center {
	margin-left: auto;
	margin-right: auto;
	display: block;
	text-align: center;
}

.bh-goals-sub-header {
	border-bottom: 1pt solid #EBEBEB;
	padding-bottom: 5pt;
}

.bh-goals-content-area {
	display: flex;
	flex-flow: row wrap;
	justify-content: left;
}

.bh-modal-content-text {
	text-transform: uppercase;
	font-weight: 700;
	font-size: 10pt;
	border-bottom: 1px solid #ccc;
	line-height: 15pt;
	margin: 10px 0;
}

.bh-modal-activity-item.bh-modal-content-text {
	margin: 0;
	min-height: 21px;
}

.bh-goals-center-text {
	text-align:center;
}

input.bh-goals-input {
	padding: 0 6px;
	border-radius: 2px;
	border: 1px solid #ccc;
	line-height: 38px;
	font-size: 14px;
}

.bh-goals-input {
	padding: 5pt 7.5pt;
	-webkit-appearance: none;
	-moz-appearance: none;
	background: #ccc;
	padding: 5pt;
	border-radius: 0;
	border-style: solid;
	border-width: 0.1rem;
	box-shadow: none;
	display: block;
	font-size: 1.6rem;
	letter-spacing: -0.015em;
	margin: 0;
	max-width: 100%;
	width: 100%;
}

.bh-modal-create-tile-sub {
	opacity: 0;
	position: absolute;
	left: 0;
	top: 50%;
	transform: translate(0,-50%);
}

.bh-modal-create-tile:hover .bh-modal-create-tile-sub {
	opacity: 1;
	color: #fff;
	text-transform: uppercase;
	word-break: break-all;
	font-size: 34px;
	font-weight: 700;
	pointer-events: none;
	letter-spacing: 0.8px;
	line-height: 36px;
	text-align: left;
	padding: 3pt 3pt 3pt 5pt;
}

button.bh-modal-goals-btn {
	color: #fff;
	background: #193752;
}

button.bh-modal-goals-btn:hover {
	color: #fff;	
	background: #ff6600;
}

.bh-modal-create-step2-custom-top-tile, .bh-modal-create-step2-selected-top-tile {
	display: flex;
	flex-flow: column;
	width: 100%;
}

input.bh-goals-input.bh-goals-currency {
	padding-left: 12pt;
}

.bh-modal-currency-input {
	position: relative;
}

.bh-modal-currency-input:before {
	position: absolute;
	top: 50%;
	-webkit-transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	transform: translateY(-50%);	
	content: "$";
	left: 2.5pt;
	z-index: 1;
	font-size: 12pt;
	color: rgba(0,0,0,.6);
}

.bh-goal-flex-container, #bh-modal-create-tile-container {
	display: flex;
	flex-flow: row wrap;
	justify-content: center;
	margin-bottom: 14pt;
	width: 100%;
	background: rgba(0,0,0,.05);
	border-radius: 2px;
	border: 1px solid #ccc;
	padding: 6pt 0;
}

.bh-goal-flex-container {
	max-height: 175px;
	overflow: auto;
}

.bh-modal-create-tile, .bh-modal-create-tile-step2-custom {
	margin: 6pt;
	flex: 1 1 80px;
	border-radius: 2px;
	overflow: hidden;
	position: relative;
}

.bh-modal-create-tile {
	flex: 0 1 120px;	
}

.bh-modal-create-tile-thumbnail:hover, .bh-modal-create-tile-step2-thumbnail:hover {
	opacity: 1;
}

.bh-modal-create-tile-thumbnail, .bh-modal-create-tile-step2-thumbnail {
	cursor: pointer;
	display: flex;
	border: 3pt solid #ccc;
	opacity: 0.5;
}

.bh-goals-tile {
	margin-top:5pt;
	overflow:hidden;
}

.bh-goals-tile-name, .bh-goals-tile-desc {
	text-align: left;
}

.bh-goals-tile-name {
	font-size: 14pt;
	font-weight: bold;	
	line-height: 18pt;
	text-transform: uppercase;	
}

.bh-goals-tile-desc {
	font-size: 10pt;
	color: #666;
}

#bh-goals-pending-content .bh-goals-tile-desc-date, #bh-goals-completed-content .bh-goals-tile-desc-date {
	font-family: "Montserrat" !important;
}

.bh-goals-tile-amount {
	font-size: 32px;
	font-weight: bold;
	margin-bottom: 5pt;
}

.bh-goals-tile > .bh-goals-tile-action {
	width:90%;
	margin-left:5%;
	margin-right:5%;
	max-width:unset;
	margin-top:5%;
}

.bh-goals-activity-img-wrapper {
	margin-top:5pt;
	margin-bottom:5pt;
}

.bh-goals-activity-img {
	margin-left: auto;
	margin-right: auto;
	display: block;
}

.bh-modal-activity-container {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	margin-bottom: 10pt;
}

.bh-modal-activity-entries {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;	
	overflow: auto;	
	max-height: 200px;	
	flex: 1 1 100%;
}

.bh-modal-activity-container > .bh-modal-activity-last {
	flex: 0 0 40px;
	align-items: center;
	justify-content: center;
	display: flex;
	height: 40px;
}

.bh-modal-activity-container > .bh-modal-activity-last, .bh-modal-activity-entries > .bh-modal-activity-last {
	flex: 0 0 30px;
	align-items: center;
	justify-content: center;
	display: flex;
	height: 30px;
	border-radius: 50%;
	color: #fff;
	border: 1px solid #fff;
	box-shadow: 1px 1px 5px rgba(0,0,0,0.5);
	font-weight: 700;
	line-height: 30px;
	margin: 5pt 5pt 5pt 15pt;
	cursor: pointer;	
}
.bh-modal-activity-entries > .bh-modal-activity-last.close {
	align-self: center;	
	background-color: #990000;
}

.bh-modal-activity-container > .bh-modal-activity-item-add-last {
	background-color: #0d3659;
	margin: 12pt 5pt 5pt 15pt;
}

.bh-modal-activity-item-container, .bh-modal-activity-item-add {
	flex: 1 1 75%;
	flex-flow: column;
	margin: 8pt 0 0 8pt;	
}

.bh-modal-activity-not-started {
	text-align: center;
	font-size: 11pt;
	/* match height of + button */
	line-height: 40px;
}

.bh-modal-activity-amount-save-running {
	display: flex;
	flex-flow: wrap;
	justify-content: space-between;
}

.bh-modal-activity-amount-save-running > div:first-of-type {
	flex: 0 1 70%;
}

.bh-modal-activity-amount-save-running > div {
	display: flex;
	flex-flow: column;
	flex: 0 1 25%;
}

.bh-modal-activity-details {
	flex-flow: row;
	display: flex;
	justify-content: space-between;
}

.bh-modal-activity-item.date {
	color: #ccc;
	font-size: 9pt;
}

.bh-modal-activity-item.amount {
	font-size: 12pt;
	color: #006600;
}

.bh-modal-total-container {
	flex: 1 1 100%;
	margin: 0 44pt 0 8pt;
}

.bh-modal-activity-total {
	text-align: right;
	font-size: 14pt;
	font-weight: 600;
}

.bh-modal-activity-item-first {
	border-collapse: collapse;
	padding: 5pt;
}

.bh-modal-activity-middle {
	border-left: 1px solid #d3d3d3;
	border-right: 1px solid #d3d3d3;
	margin-top: 10pt;
	margin-bottom: 10pt;
}

.bh-modal-activity-middle-wrapper {
	padding: 0pt;
}

.bh-goals-activity-add {
	cursor: pointer;
	margin-top: 10pt;
}

.bh-goals-activity-delete {
	cursor: pointer;
}

.bh-goals-activity-name, .bh-goals-activity-desc {
	margin: 0 20pt 0 0;
}

.bh-goals-activity-name {
	font-size: 14pt;
	font-weight: bold;
	line-height: 18pt;
	text-transform: uppercase;
}

.bh-goals-activity-desc {
	font-size: 10pt;
	color: #666;
}

.bh-goals-activity-amount {
	font-size: 32px;
	font-weight: bold;
	margin-top: -10pt;
}

.bh-modal-create-tile-thumbnail-selected {
	border: 3pt solid #193752;
	opacity: 1;
}
/*
.bh-datepicker-wrapper .ui-datepicker {
	background-color: #fff;
	border: 1px solid #66AFE9;
	border-radius: 4px;
	box-shadow: 0 0 8px rgba(102,175,233,.6);
	display: none;
	margin-top: 4px;
	padding: 10px;
	width: 275px;
}

.ui-datepicker select.ui-datepicker-month, .ui-datepicker select.ui-datepicker-year {
	border: 1px solid #ccc;
}

.bh-datepicker-wrapper .ui-datepicker a,
.bh-datepicker-wrapper .ui-datepicker a:hover {
	text-decoration: none;
}
.bh-datepicker-wrapper .ui-datepicker a:hover,
.bh-datepicker-wrapper .ui-datepicker td:hover a {
	color: #2A6496;
	-webkit-transition: color 0.1s ease-in-out;
	 -moz-transition: color 0.1s ease-in-out;
		 -o-transition: color 0.1s ease-in-out;
			transition: color 0.1s ease-in-out;
}

.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-prev,
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-next {
	cursor: default;
	font-family: 'Glyphicons Halflings';
	-webkit-font-smoothing: antialiased;
	font-style: normal;
	font-weight: normal;
	height: 20px;
	line-height: 1;
	margin-top: -12.5pt;
	width: 30px;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-prev {
	float: left;
	text-align: left;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-next {
	float: right;
	text-align: right;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-prev:before {
	content: "\e079";
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-next:before {
	content: "\e080";
}
.bh-datepicker-wrapper .ui-datepicker .ui-icon {
	display: none;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-calendar {
	table-layout: fixed;
	width: 100%;
	margin: 0px;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-calendar th,
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-calendar td {
	text-align: center;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-calendar td {
	border-radius: 4px;
	-webkit-transition: background-color 0.1s ease-in-out, color 0.1s ease-in-out;
	 -moz-transition: background-color 0.1s ease-in-out, color 0.1s ease-in-out;
		 -o-transition: background-color 0.1s ease-in-out, color 0.1s ease-in-out;
			transition: background-color 0.1s ease-in-out, color 0.1s ease-in-out;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-calendar td:hover {
	background-color: #eee;
	cursor: pointer;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-calendar td a {
	text-decoration: none;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-current-day {
	background-color: #4289cc;
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-current-day a {
	color: #fff
}
.bh-datepicker-wrapper .ui-datepicker .ui-datepicker-calendar .ui-datepicker-unselectable:hover {
	background-color: #fff;
	cursor: default;
}
.bh-datepicker-wrapper .ui-datepicker-calendar {
	background-color: white;
}
*/
.bh-goals-card-back-button {
	width: 75%;
	margin-top:10px;
	color:white;
}

.bh-goals-shake {
	animation: bh-goals-shake 0.82s cubic-bezier(.36,.07,.19,.97) both;
	transform: translate3d(0, 0, 0);
	border: 1px solid #990000 !important;
}

.bh-goals-card-inner {
	position: relative;
	text-align: center;
	height:100%;
}

.bh-goals-card-inner .subs_content_more_info {
    display: none;
}

.bh-goals-card-back {
	display: flex;	
	justify-content: center;
	align-items: center;
	position: absolute;
	top: 100%; right: 0; bottom: 0; left: 0;
	background-color: rgba(255,255,255,0.75);
	overflow: hidden;
	width: 100%;
	z-index: 1;

	-moz-transition: top 0.3s, right 0.3s, bottom 0.3s, left 0.3s;
	-webkit-transition: top 0.3s, right 0.3s, bottom 0.3s, left 0.3s;
	transition: top 0.3s, right 0.3s, bottom 0.3s, left 0.3s;
}

#bh-goals-completed-content .bh-goals-card-back-button, #bh-goals-pending-content .bh-goals-card-back-button {
	color:#fff;
}

#bh-goals-completed-content .bh-goals-card {
	border: 2px solid #006600;
	background-color: rgba(0,102,0,0.05);
}

#bh-goals-pending-content .bh-goals-card-back-button:first-of-type {
	margin-top: 0;
}

@font-face {
	font-family: "Glyphicons Halflings";
	src: url("../fonts/glyphicons-halflings-regular.eot");
	src: url("../fonts/glyphicons-halflings-regular.eot?#iefix") format("embedded-opentype"), url("../fonts/glyphicons-halflings-regular.woff2") format("woff2"), url("../fonts/glyphicons-halflings-regular.woff") format("woff"), url("../fonts/glyphicons-halflings-regular.ttf") format("truetype"), url("../fonts/glyphicons-halflings-regular.svg#glyphicons_halflingsregular") format("svg");
}

/** JW **/

.bh-goals-tile-img-wrapper, .bh-goals-activity-img-wrapper {
	border-radius: 50%;
	overflow: hidden;
	max-width: 100px;
	max-height: 100px;
	margin: 0 20pt 20pt 0;
}
.bh-goals-activity-img-wrapper {
	max-width: 75px;
	max-height: 75px;
}

.bh-goals-card-front, .bh-goals-activity-info {
	display: flex;
	flex: 1 1 100%;
	flex-flow: wrap;
}

.bh-goals-tile-text-wrapper {
	display: flex;	
	flex: 1 1 45%;
	align-items: flex-start;
	justify-content: center;
	flex-flow: column;
    margin: 0 25pt 10pt 0;
}

.bh-goals-percent-container {
	display: flex;
	justify-content: center;
	flex: 1 1 100%;
	font-size: 12px;
	border-radius: 27px;
	background-color: rgba(17, 55, 82, 0.6);
	position: relative;
	overflow: hidden;
	color: #fff;
}

.bh-goals-percent-progress-bar {
	background-color: rgba(17, 55, 82, 1);
	position: absolute;
	left: 0;
	top: 0;
	display: block;
	height: 100%;
	z-index: 0;
    border-radius: 27px;
    animation: progress-bar 1s;
}

.bh-goals-tile-amount-saved, .bh-goals-tile-desc-amount, .bh-goals-tile-spacer, .bh-goals-activity-amount-saved, .bh-goals-activity-desc-amount {
	margin: 0 3px;
	z-index: 1;
}

.bh-goals-card {
	margin: 0 0 20px 0;
	border-radius: 2px;
	border: 1px solid #ccc;
	padding: 10px;
}

.bh-goals-content-area {
	justify-content: space-between;	
}

.bh-goals-tile-actions {
	flex: 1 1 100%;
	min-width: 100%;
	margin-top: 20px;
}

.cursor-display {
	position: relative;
	margin: 0 15pt;
}
.cursor-display i {
	position: absolute;
	width: 3px;
	height: 100%;
	background-color: #0d3659;
	left: 6px;
	top: 0;
	animation-name: blink;
	animation-duration: 1000ms;
	animation-iteration-count: infinite;
	opacity: 1;
}

.cursor-display input:focus + i {
	display: none;
}

.bh-goals-activity-text-wrapper {
	display: flex;
	flex: 1 1 50%;
	align-items: flex-start;
	justify-content: center;
	flex-flow: column;
}

.bh-goals-activity-percent-container {
	display: flex;
	justify-content: center;
	flex: 1 1 100%;
	font-size: 11pt;
	font-weight: 600;
	border-radius: 27px;
	background-color: rgba(17, 55, 82, 0.6);
	margin: 15pt 0 8pt;
	position: relative;
	overflow: hidden;
	color: #fff;
	text-shadow: 1px 1px 0 rgba(0,0,0,0.5)
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
	.bh-goals-card {
		width: 100%;
	}
	
	.bh-goals-card-inner .subs_content_more_info {
		display: block;
		position: absolute;
		top: 0;
		right: 0;
	}
	.bh-goals-card-inner .subs_content_more_info.active {
		background-color: transparent;
	}

	.bh-goals-tile	{
		margin-left: 0%;
		margin-right: 0%;
	}
	
	.bh-goal-flex-container, #bh-modal-create-tile-container {
		max-height: 220px;
		overflow: auto;
	}

	#bh-modal-create-content-top h2, #bh-modal-create-content-top h3 {
		font-size: 24pt;
		line-height: 30pt;	
	}	
	
	#bh-modal-create-content-top h3 {
		font-size: 16pt;
		line-height: 16pt;
	}
	
	.bh-modal-create-tile-thumbnail, .bh-modal-create-tile-step2-thumbnail {
		opacity: 1;
	}
	#bh-goals-create-name:-moz-placeholder {
		font-size: 18pt;	
	}
	#bh-goals-create-name::-webkit-input-placeholder {
		font-size: 18pt;	
	}
	#bh-goals-create-name::-moz-placeholder {
		font-size: 18pt;	
	}
	#bh-goals-create-name:-ms-input-placeholder {
		font-size: 18pt;	
	}
	#bh-goals-create-name {
		font-size: 18pt;
	}
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
	.bh-goals-tile	{
		margin-left: 0%;
		margin-right: 0%;
	}
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
	
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
	.bh-goals-tile {
		flex: 0 1 48.75%;
	}
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {

}

@keyframes blink {
	from { opacity: 1; }
	to { opacity: 0; }
}

@-webkit-keyframes progress-bar {
   0% { width: 0; }
}
@-moz-keyframes progress-bar {
   0% { width: 0; }
}
@keyframes progress-bar {
   0% { width: 0; }
}

@keyframes bh-goals-shake {
	10%, 90% {
		transform: translate3d(-1px, 0, 0);
	}

	20%, 80% {
		transform: translate3d(2px, 0, 0);
	}

	30%, 50%, 70% {
		transform: translate3d(-4px, 0, 0);
	}

	40%, 60% {
		transform: translate3d(4px, 0, 0);
	}
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
	from {bottom: 0; opacity: 0;}
	to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
	from {bottom: 0; opacity: 0;}
	to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
	from {bottom: 30px; opacity: 1;}
	to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
	from {bottom: 30px; opacity: 1;}
	to {bottom: 0; opacity: 0;}
}